#!/usr/bin/python
import os
import sys

f = open("/home/attila/Desktop/girthmeasures.txt",'r')
lines = f.readlines()
f.close()


gdata = {}

def processGirth(line):
	line = line.split(" , ")
	iteration = int(line[0].split("--")[1].split('.yaml')[0])
	try:
		girth = int(line[0].split("--")[1].split('.yaml')[1].split(":")[1])
	except:
		girth = 0
	try:
		clustering = float(line[-1].split(":")[1][:-1])
	except:
		clustering = 0
	cycles = [0]* 15
	cycles[0] = iteration
	cycles[1] = girth
	cycles[2] = clustering
	biggerthansix = 0
	for c in line[1:-1]:
		value = int(c.split("=")[1])
		cyclesize = int(c.split("=")[0][2:-1])
		if (cyclesize < 15):
			cycles[cyclesize] = value
		if cyclesize > 6:
			biggerthansix += value
	cycles[-1] = biggerthansix
	pushData(iteration,cycles)

def pushData(iteration, value):
	global gdata
	if not gdata.has_key(iteration):
		gdata[iteration] = [value]
	else:
		gdata[iteration].append(value)

def average(l):
	av = float(sum(l)) / len(l)
	if av - int(av) == 0:
		return int(av)
	else:
		return av

def printAverageData():
	global gdata
	global gvalues
	global avalues
	iters = gdata.keys()
	iters.sort()
	print "iter , Girth, Clustering, ",
	for cs in range(3,14):
		print "C (%d), " % (cs), 
	print " C (6) <"
	for i in iters:
		if i == 0:
			continue
		print int(i)*100 / 1000, ",",
		avalues = gdata[i] # list of tuples
		for cs in range(1,15):
			v = map(lambda x: x[cs], avalues)
			print average(v),",",
		print

for log in sys.argv[1:]:
	for l in lines:
		if l.count(log):
			processGirth(l)

printAverageData()


